## org.apache.batik.parser
Interface LengthHandler

All Known Subinterfaces:
  LengthListHandler

All Known Implementing Classes:
  AbstractSVGLengthList.LengthListBuilder, DefaultLengthHandler, DefaultLengthListHandler, LengthArrayProducer, UnitProcessor.UnitResolver

    public interface LengthHandler

This interface must be implemented and then registred as the handler of a `LengthParser` instance in order to be notified of parsing events.

Method Summary
`void` `cm()` Invoked when 'cm' has been parsed.
`void` `em()` Invoked when 'em' has been parsed.
`void` `endLength()` Invoked when the length attribute ends.
`void` `ex()` Invoked when 'ex' has been parsed.
`void` `in()` Invoked when 'in' has been parsed.
`void` `lengthValue(float v)` Invoked when a float value has been parsed.
`void` `mm()` Invoked when 'mm' has been parsed.
`void` `pc()` Invoked when 'pc' has been parsed.
`void` `percentage()` Invoked when '%' has been parsed.
`void` `pt()` Invoked when 'pt' has been parsed.
`void` `px()` Invoked when 'px' has been parsed.
`void` `startLength()` Invoked when the length attribute starts.

Method Detail

### startLength

    void startLength()
                     throws ParseException

  Invoked when the length attribute starts.

  Throws:
    `ParseException` - if an error occures while processing the length

### lengthValue

    void lengthValue(float v)
                     throws ParseException

  Invoked when a float value has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### em

    void em()
            throws ParseException

  Invoked when 'em' has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### ex

    void ex()
            throws ParseException

  Invoked when 'ex' has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### in

    void in()
            throws ParseException

  Invoked when 'in' has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### cm

    void cm()
            throws ParseException

  Invoked when 'cm' has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### mm

    void mm()
            throws ParseException

  Invoked when 'mm' has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### pc

    void pc()
            throws ParseException

  Invoked when 'pc' has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### pt

    void pt()
            throws ParseException

  Invoked when 'pt' has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### px

    void px()
            throws ParseException

  Invoked when 'px' has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### percentage

    void percentage()
                    throws ParseException

  Invoked when '%' has been parsed.

  Throws:
    `ParseException` - if an error occures while processing the length

### endLength

    void endLength()
                   throws ParseException

  Invoked when the length attribute ends.

  Throws:
    `ParseException` - if an error occures while processing the length

Copyright © 2008 Apache Software Foundation. All Rights Reserved.